Ogre::AtomicScalar< T > Class Template Reference
General

`#include <OgreAtomicWrappers.h>`

List of all members.

## Public Member Functions

| AtomicScalar (const T &initial)
| AtomicScalar (const AtomicScalar< T > &cousin)
| AtomicScalar ()
void | operator= (const AtomicScalar< T > &cousin)
T | get (void) const
void | set (const T &v)
bool | cas (const T &old, const T &nu)
T | operator++ (void)
T | operator-- (void)
T | operator++ (int)
T | operator-- (int)
T | operator+= (const T &add)

## Protected Attributes

OGRE_AUTO_MUTEX volatile T | mField

## Detailed Description

### template<class T>
class Ogre::AtomicScalar< T >

Definition at line 351 of file OgreAtomicWrappers.h.

## Constructor & Destructor Documentation

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( | const T & | initial | ) |

Definition at line 355 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( | const AtomicScalar< T > & | cousin | ) |

Definition at line 359 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( |  | ) |

Definition at line 363 of file OgreAtomicWrappers.h.

## Member Function Documentation

template<class T>

bool Ogre::AtomicScalar< T >::cas | ( | const T & | old,
|  | const T & | nu
| ) |  |

Definition at line 386 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::get | ( | void |  | ) | const

Definition at line 372 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator++ | ( | void |  | ) |

Definition at line 394 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator++ | ( | int |  | ) |

Definition at line 406 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator+= | ( | const T & | add | ) |

Definition at line 418 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator-- | ( | void |  | ) |

Definition at line 400 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator-- | ( | int |  | ) |

Definition at line 412 of file OgreAtomicWrappers.h.

template<class T>

void Ogre::AtomicScalar< T >::operator= | ( | const AtomicScalar< T > & | cousin | ) |

Definition at line 366 of file OgreAtomicWrappers.h.

template<class T>

void Ogre::AtomicScalar< T >::set | ( | const T & | v | ) |

Definition at line 380 of file OgreAtomicWrappers.h.

## Member Data Documentation

template<class T>

OGRE_AUTO_MUTEX volatile T Ogre::AtomicScalar< T >::mField `[protected]`

Definition at line 429 of file OgreAtomicWrappers.h.

Referenced by Ogre::AtomicScalar< size_t >::get(), Ogre::AtomicScalar< size_t >::operator++(), Ogre::AtomicScalar< size_t >::operator+=(), and Ogre::AtomicScalar< size_t >::operator--().

The documentation for this class was generated from the following file:

- OgreAtomicWrappers.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25